/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { GeographicMapImageryDescription } from "./GeographicMapImageryDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export class BingMapsMapImageryDescription extends GeographicMapImageryDescription {
    constructor() {
        super();
        this.x = false;
        this.w = false;
        this.ag = null;
        this.ab = null;
        this.t = null;
        this.s = null;
        this.ad = null;
        this.aa = null;
        this.ae = null;
        this.ac = null;
        this.af = null;
    }
    get_type() {
        return "BingMapsMapImagery";
    }
    get isInitialized() {
        return this.x;
    }
    set isInitialized(a) {
        this.x = a;
        this.e("IsInitialized");
    }
    get isDeferredLoad() {
        return this.w;
    }
    set isDeferredLoad(a) {
        this.w = a;
        this.e("IsDeferredLoad");
    }
    get tilePath() {
        return this.ag;
    }
    set tilePath(a) {
        this.ag = a;
        this.e("TilePath");
    }
    get actualTilePath() {
        return this.ab;
    }
    set actualTilePath(a) {
        this.ab = a;
        this.e("ActualTilePath");
    }
    get subDomains() {
        return this.t;
    }
    set subDomains(a) {
        this.t = a;
        this.e("SubDomains");
    }
    get actualSubDomains() {
        return this.s;
    }
    set actualSubDomains(a) {
        this.s = a;
        this.e("ActualSubDomains");
    }
    get bingImageryRestUri() {
        return this.ad;
    }
    set bingImageryRestUri(a) {
        this.ad = a;
        this.e("BingImageryRestUri");
    }
    get actualBingImageryRestUri() {
        return this.aa;
    }
    set actualBingImageryRestUri(a) {
        this.aa = a;
        this.e("ActualBingImageryRestUri");
    }
    get cultureName() {
        return this.ae;
    }
    set cultureName(a) {
        this.ae = a;
        this.e("CultureName");
    }
    get apiKey() {
        return this.ac;
    }
    set apiKey(a) {
        this.ac = a;
        this.e("ApiKey");
    }
    get imageryStyle() {
        return this.af;
    }
    set imageryStyle(a) {
        this.af = a;
        this.e("ImageryStyle");
    }
}
BingMapsMapImageryDescription.$t = markType(BingMapsMapImageryDescription, 'BingMapsMapImageryDescription', GeographicMapImageryDescription.$);
